Name:           fx700-cpu-mem-ras
Version:        0.0.18
Release:        1%{?dist}
Summary:        FX700 CPU-MEM-RAS Driver

License:        GPLv2
URL:            https://rqcd.ur.de:8443/hpc63824/fx700-cpu-mem-ras
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  systemd-rpm-macros
Requires:       %{name}-dkms

%description
Provides FX700 BMC relevant drivers.


%package dkms
Summary:        FX700 BMC kernel module (dkms)
BuildArch:      noarch
Requires:       dkms


%description dkms
FX700 CPU-MEM-RAS Driver and service to detect CPU and memory failures.


%prep
%autosetup


%install
rm -rf %{buildroot}
install -D -m 0644 driver/* -t %{buildroot}/usr/src/%{name}-%{version}
install -D -m 0644 packaging/modules.load %{buildroot}/%{_sysconfdir}/modules-load.d/cpu-mem-ras.conf
install -D -m 0700 fmaras/fma.v181130 %{buildroot}/%{_sbindir}/fmaras
install -d %{buildroot}/%{_unitdir}
sed -e "s#@sbindir@#%{_sbindir}#g" \
    packaging/detect-cpu-mem-failures.service.in > %{buildroot}/%{_unitdir}/detect-cpu-mem-failures.service


%files
%{_sbindir}/fmaras
%{_sysconfdir}/modules-load.d/cpu-mem-ras.conf
%{_unitdir}/detect-cpu-mem-failures.service


%files dkms
%{_prefix}/src/%{name}-%{version}


%post dkms
for POSTINST in /usr/lib/dkms/common.postinst
do
    if [ -f $POSTINST ]
    then
         $POSTINST %{name} %{version}
         exit $?
    fi
    echo "WARNING: $POSINST does not exist."
done
echo -e "ERROR: DKMS version is too old and %{name} was not"
echo -e "built with legacy DKMS support."
echo -e "You must either rebuild %{name} with legacy postinst"
echo -e "support or upgrade DKMS to a more current version."
exit 1


%post
%systemd_post detect-cpu-mem-failures.service


%preun
%systemd_preun detect-cpu-mem-failures.service


%postun
%systemd_postun_with_restart detect-cpu-mem-failures.service


%preun dkms
dkms remove -m %{name} -v %{version} --all --rpm_safe_upgrade
exit 0


%changelog
* Thu Nov 02 2023 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.18-1
- Use fma.v181130 (fma.v210212 segfaults)
- Update version to 0.0.18 which is identical to 0.0.17

* Tue Oct 31 2023 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.17-3
- Add: BuildRequires: systemd-rpm-macros
- Remove: %%{?systemd_requires}

* Fri Jan 29 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.17
- Update to upstream 0.0.17

* Fri Jan 29 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.14
- Update to upstream 0.0.14

* Fri Jan 08 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.11
- Update to upstream 0.0.11

* Fri May 01 2020 Peter Georg <peter.georg@physik.uni-regensburg.de> - 0.0.6
- Upstream release 0.0.6
